[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[SECURITY] Fedora 8 Update: php-5.2.6-2.fc8



--------------------------------------------------------------------------------
Fedora Update Notification
FEDORA-2008-3864
2008-06-20 16:46:18
--------------------------------------------------------------------------------

Name        : php
Product     : Fedora 8
Version     : 5.2.6
Release     : 2.fc8
URL         : http://www.php.net/
Summary     : The PHP HTML-embedded scripting language
Description :
PHP is an HTML-embedded scripting language. PHP attempts to make it
easy for developers to write dynamically generated webpages. PHP also
offers built-in database integration for several commercial and
non-commercial database management systems, so writing a
database-enabled webpage with PHP is fairly simple. The most common
use of PHP coding is probably as a replacement for CGI scripts.

The php package contains the module which adds support for the PHP
language to Apache HTTP Server.

--------------------------------------------------------------------------------
Update Information:

This release updates PHP to the latest upstream version 5.2.6, fixing multiple
bugs and security issues.    See upstream release notes for further details:
http://www.php.net/releases/5_2_5.php    http://www.php.net/releases/5_2_6.php
It was discovered that the PHP escapeshellcmd() function did not properly escape
multi-byte characters which are not valid in the locale used by the script.
This could allow an attacker to bypass quoting restrictions imposed by
escapeshellcmd() and execute arbitrary commands if the PHP script was using
certain locales.  Scripts using the default UTF-8 locale  are not affected by
this issue. (CVE-2008-2051)    PHP functions htmlentities() and
htmlspecialchars() did not properly recognize partial multi-byte sequences.
Certain sequences of bytes could be passed through these functions without being
correctly HTML-escaped.  An attacker could use this flaw to conduct cross-site
scripting attack against  users of such browsers. (CVE-2007-5898)    It was
discovered that a PHP script using the transparent session ID configuration
option, or using the output_add_rewrite_var() function, could leak session
identifiers to external web sites.  If a page included an HTML form which is
posted to a third-party web site, the user's session ID would be included in the
form data and passed to that web site. (CVE-2007-5899)    It was discovered that
PHP fnmatch() function did not restrict the length of the string argument.  An
attacker could use this flaw to crash the PHP interpreter where a script used
fnmatch() on untrusted input data. (CVE-2007-4782)    It was discovered that PHP
did not properly seed its pseudo-random number generator used by functions such
as rand() and mt_rand(), possibly allowing an attacker to easily predict the
generated pseudo-random values. (CVE-2008-2107, CVE-2008-2108)
--------------------------------------------------------------------------------
ChangeLog:

* Thu May  8 2008 Joe Orton <jorton redhat com> 5.2.6-2
- update to 5.2.6
* Wed Apr  2 2008 Joe Orton <jorton redhat com> 5.2.5-4
- rebuild for new uw-imap
* Wed Feb 13 2008 Joe Orton <jorton redhat com> 5.2.5-3
- ext/date: use system timezone database
* Tue Dec 11 2007 Joe Orton <jorton redhat com> 5.2.5-1
- update to 5.2.5 (#384991)
--------------------------------------------------------------------------------
References:

  [ 1 ] Bug #445685 - CVE-2008-2108 PHP weak 64 bit random seed
        https://bugzilla.redhat.com/show_bug.cgi?id=445685
  [ 2 ] Bug #382431 - CVE-2007-5899 php session ID leakage
        https://bugzilla.redhat.com/show_bug.cgi?id=382431
  [ 3 ] Bug #285881 - CVE-2007-4782 php crash in glob() and fnmatch() functions
        https://bugzilla.redhat.com/show_bug.cgi?id=285881
  [ 4 ] Bug #445003 - CVE-2008-0599 php: buffer overflow in a CGI path translation
        https://bugzilla.redhat.com/show_bug.cgi?id=445003
  [ 5 ] Bug #445006 - CVE-2008-2051 PHP multibyte shell escape flaw
        https://bugzilla.redhat.com/show_bug.cgi?id=445006
  [ 6 ] Bug #382411 - CVE-2007-5898 php htmlentities/htmlspecialchars multibyte sequences
        https://bugzilla.redhat.com/show_bug.cgi?id=382411
  [ 7 ] Bug #445684 - CVE-2008-2107 PHP 32 bit weak random seed
        https://bugzilla.redhat.com/show_bug.cgi?id=445684
--------------------------------------------------------------------------------

This update can be installed with the "yum" update program.  Use 
su -c 'yum update php' at the command line.
For more information, refer to "Managing Software with yum",
available at http://docs.fedoraproject.org/yum/.

All packages are signed with the Fedora Project GPG key.  More details on the
GPG keys used by the Fedora Project can be found at
http://fedoraproject.org/keys
--------------------------------------------------------------------------------


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]